changed export, misc, link, rebuildfolders, and build scripts. removed "oldexport" scripts and edited readme.

This commit is contained in:
germedeb 2022-01-09 20:20:33 -03:00
parent 33d73f284b
commit 9cebea1c65
23 changed files with 314 additions and 516 deletions

View File

@ -16,7 +16,7 @@ this icon pack is a Work in Progress
- TODO: example
building for now takes at least 15 minutes, depending on your system resources this may vary. *PD: in my pc it takes 24 minutes*
*note: the building process takes more or less 15 minutes*
* apply

View File

@ -10,46 +10,47 @@ command -v parallel >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'pa
printf "${info_color}this scripts deletes the icon pack, and rebuild it again${reset_colors}\\n\\n"
printf "${info_color}moving icons from icons to todo...${reset_colors}\\n"
mv -u icons/apps/*.svg todo/apps/
mv -u icons/places/*.svg todo/places/
mv -u icons/categories/*.svg todo/categories/
mv -u icons/devices/*.svg todo/devices/
mv -u icons/status/*.svg todo/status/
mv -u icons/mimetypes/*.svg todo/mimetypes/
mv -u icons/actions/*.svg todo/actions/
mv -u icons/actions-sym/*.svg todo/actions-sym/
mv -u icons/animations/*.svg todo/animations/
printf "${info_color}removing last build...${reset_colors}\\n"
rm aleta -rf
rm _build/aleta -rf
printf "${info_color}rebuilding folders...${reset_colors}\\n"
./tasks/rebuildfolders.sh
printf "${info_color}making a copy of the files to build${reset_colors}\\n"
cp icons/apps/*.svg _build/icons-t/apps/
cp icons/places/*.svg _build/icons-t/places/
cp icons/categories/*.svg _build/icons-t/categories/
cp icons/devices/*.svg _build/icons-t/devices/
cp icons/status/*.svg _build/icons-t/status/
cp icons/mimetypes/*.svg _build/icons-t/mimetypes/
cp icons/actions/*.svg _build/icons-t/actions/
cp icons/actions-sym/*.svg _build/icons-t/actions-sym/
cp icons/animations/*.svg _build/icons-t/animations/
printf "${info_color}copying the index.theme...${reset_colors}\\n"
cp other/index.theme aleta/index.theme
printf "${info_color}starting link process...${reset_colors}\\n"
./tasks/linkcall.sh &
./tasks/linkcall.sh
printf "${info_color}exporting all the icons...${reset_colors}\\n"
./tasks/oldexport/export-places.sh
./tasks/oldexport/export-apps.sh
./tasks/oldexport/export-categories.sh
./tasks/oldexport/export-devices.sh
./tasks/oldexport/export-status.sh
./tasks/oldexport/export-mimetypes.sh
./tasks/oldexport/export-actions.sh
./tasks/oldexport/export-sym-actions.sh
./tasks/oldexport/export-animations.sh
./tasks/export/export-places.sh
./tasks/export/export-apps.sh
./tasks/export/export-categories.sh
./tasks/export/export-devices.sh
./tasks/export/export-status.sh
./tasks/export/export-mimetypes.sh
./tasks/export/export-actions.sh
./tasks/export/export-sym-actions.sh
./tasks/export/export-animations.sh
printf "${info_color}Launching misc commands${reset_colors}\\n"
./tasks/misc.sh
printf "${info_color}Installing/Updating the install of aleta${reset_colors}\\n"
rm -r ~/.icons/aleta
mv aleta ~/.icons/aleta
rm -rf ~/.icons/aleta
cp -r _build/aleta ~/.icons/aleta
printf "${comple_color}\\nF i n i s h e d${reset_colors}\\n"
printf "${info_color}I hope you like my icon pack!${reset_colors}\\n"
printf "${comple_color}\\ncompleted${reset_colors}\\n"

View File

@ -1,30 +1,22 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
# export from todo/actions to folders, with the appropiated resolution
for SVG in todo/actions/*.svg
for SVG in _build/icons-t/actions/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/actions/8/${N}.png ${SVG} & # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/actions/16/${N}.png ${SVG} & # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/actions/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/actions/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/actions/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/actions/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/actions/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/actions/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/actions/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/actions/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/actions/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/actions/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/actions/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/actions/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/actions/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/actions/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/actions/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/actions/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/actions/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/actions/256/${N}.png ${SVG}"
mv ${SVG} icons/actions
fi
mv ${SVG} _build/icons-e/actions/
fi
done

View File

@ -1,26 +1,22 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
# export from todo/apps to folders, with the appropiated resolution
for SVG in todo/animations/*.svg
for SVG in _build/icons-t/animations/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/animations/8/${N}.png ${SVG}
inkscape -w 16 -h 16 -e aleta/animations/16/${N}.png ${SVG}
inkscape -w 22 -h 22 -e aleta/animations/22/${N}.png ${SVG}
inkscape -w 24 -h 24 -e aleta/animations/24/${N}.png ${SVG}
inkscape -w 32 -h 32 -e aleta/animations/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/animations/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/animations/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/animations/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/animations/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/animations/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
mv ${SVG} icons/apps
fi
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/animations/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/animations/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/animations/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/animations/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/animations/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/animations/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/animations/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/animations/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/animations/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/animations/256/${N}.png ${SVG}"
mv ${SVG} _build/icons-e/animations/
fi
done

View File

@ -1,30 +1,22 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
# export from todo/apps to folders, with the appropiated resolution
for SVG in todo/apps/*.svg
for SVG in _build/icons-t/apps/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/apps/8/${N}.png ${SVG} & # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/apps/16/${N}.png ${SVG} & # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/apps/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/apps/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/apps/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/apps/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/apps/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/apps/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/apps/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/apps/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/apps/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/apps/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/apps/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/apps/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/apps/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/apps/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/apps/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/apps/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/apps/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/apps/256/${N}.png ${SVG}"
mv ${SVG} icons/apps
fi
mv ${SVG} _build/icons-e/apps/
fi
done

View File

@ -1,27 +1,22 @@
#! /bin/bash
# export from todo/categories to folders, with the appropiated resolution
for SVG in todo/categories/*.svg
for SVG in _build/icons-t/categories/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/categories/8/${N}.png ${SVG} # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/categories/16/${N}.png ${SVG} # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/categories/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/categories/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/categories/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/categories/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/categories/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/categories/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/categories/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/categories/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp # optimize PNGs
mv ${SVG} icons/categories/ &
fi
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/categories/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/categories/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/categories/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/categories/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/categories/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/categories/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/categories/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/categories/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/categories/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/categories/256/${N}.png ${SVG}"
mv ${SVG} _build/icons-e/categories/
fi
done

View File

@ -1,27 +1,22 @@
#! /bin/bash
# export from todo/devices to folders, with the appropiated resolution
for SVG in todo/devices/*.svg
for SVG in _build/icons-t/devices/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/devices/8/${N}.png ${SVG} # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/devices/16/${N}.png ${SVG} # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/devices/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/devices/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/devices/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/devices/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/devices/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/devices/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/devices/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/devices/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/devices &
fi
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/devices/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/devices/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/devices/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/devices/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/devices/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/devices/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/devices/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/devices/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/devices/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/devices/256/${N}.png ${SVG}"
mv ${SVG} _build/icons-e/devices/
fi
done

View File

@ -1,30 +1,22 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
# export from todo/mimetypes to folders, with the appropiated resolution
for SVG in todo/mimetypes/*.svg
for SVG in _build/icons-t/mimetypes/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/mimetypes/8/${N}.png ${SVG} & # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/mimetypes/16/${N}.png ${SVG} & # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/mimetypes/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/mimetypes/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/mimetypes/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/mimetypes/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/mimetypes/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/mimetypes/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/mimetypes/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/mimetypes/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/mimetypes/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/mimetypes/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/mimetypes/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/mimetypes/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/mimetypes/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/mimetypes/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/mimetypes/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/mimetypes/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/mimetypes/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/mimetypes/256/${N}.png ${SVG}"
mv ${SVG} icons/mimetypes
fi
mv ${SVG} _build/icons-e/mimetypes/
fi
done

View File

@ -1,27 +1,22 @@
#! /bin/bash
# export from todo/places to folders, with the appropiated resolution
for SVG in todo/places/*.svg
for SVG in _build/icons-t/places/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/places/8/${N}.png ${SVG} # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/places/16/${N}.png ${SVG} # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/places/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/places/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/places/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/places/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/places/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/places/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/places/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/places/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp # optimize PNGs
mv ${SVG} icons/places &
fi
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/places/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/places/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/places/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/places/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/places/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/places/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/places/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/places/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/places/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/places/256/${N}.png ${SVG}"
mv ${SVG} _build/icons-e/places/
fi
done

View File

@ -1,27 +1,22 @@
#! /bin/bash
# export from todo/status to folders, with the appropiated resolution
for SVG in todo/status/*.svg
for SVG in _build/icons-t/status/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 8 -h 8 -e aleta/status/8/${N}.png ${SVG} # in this folder are 8x8 PNGs
inkscape -w 16 -h 16 -e aleta/status/16/${N}.png ${SVG} # in this folder are 16x16 PNGs
inkscape -w 22 -h 22 -e aleta/status/22/${N}.png ${SVG} # in this folder are 22x22 PNGs
inkscape -w 24 -h 24 -e aleta/status/24/${N}.png ${SVG} # ...
inkscape -w 32 -h 32 -e aleta/status/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/status/48/${N}.png ${SVG}
inkscape -w 64 -h 64 -e aleta/status/64/${N}.png ${SVG}
inkscape -w 96 -h 96 -e aleta/status/96/${N}.png ${SVG}
inkscape -w 128 -h 128 -e aleta/status/128/${N}.png ${SVG}
inkscape -w 256 -h 256 -e aleta/status/256/${N}.png ${SVG}
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp # optimize PNGs
mv ${SVG} icons/status/ &
fi
parallel ::: \
"inkscape -w 8 -h 8 -o _build/aleta/status/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o _build/aleta/status/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o _build/aleta/status/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/status/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/status/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/status/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/status/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/status/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/status/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o _build/aleta/status/256/${N}.png ${SVG}"
mv ${SVG} _build/icons-e/status/
fi
done

View File

@ -1,22 +1,21 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
for SVG in todo/actions-sym/*.svg
for SVG in _build/icons-t/actions-sym/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
inkscape -w 16 -h 16 -e aleta/actions/16/${N}.png ${SVG}
inkscape -w 24 -h 24 -e aleta/actions/24/${N}.png ${SVG}
inkscape -w 32 -h 32 -e aleta/actions/32/${N}.png ${SVG}
inkscape -w 48 -h 48 -e aleta/actions/48/${N}.png ${SVG}
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/actions-sym
parallel ::: \
"inkscape -w 16 -h 16 -o _build/aleta/actions-sym/16/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o _build/aleta/actions-sym/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o _build/aleta/actions-sym/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o _build/aleta/actions-sym/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o _build/aleta/actions-sym/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o _build/aleta/actions-sym/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o _build/aleta/actions-sym/128/${N}.png ${SVG}" \
mv ${SVG} _build/icons-e/actions-sym/
fi
done

View File

@ -48,27 +48,27 @@ function order () {
}
function lipl () {
cd aleta/places/$1
./../../../tasks/link/linkplaces.sh
cd ../../..
cd _build/aleta/places/$1
../../../../tasks/link/linkplaces.sh
cd ../../../..
}
function liap () {
cd aleta/apps/$1
./../../../tasks/link/linkapps.sh
cd ../../..
cd _build/aleta/apps/$1
../../../../tasks/link/linkapps.sh
cd ../../../..
}
function lide () {
cd aleta/devices/$1
./../../../tasks/link/linkdevices.sh
cd ../../..
cd _build/aleta/devices/$1
../../../../tasks/link/linkdevices.sh
cd ../../../..
}
function lica () {
cd aleta/categories/$1
./../../../tasks/link/linkcategories.sh
cd ../../..
cd _build/aleta/categories/$1
../../../../tasks/link/linkcategories.sh
cd ../../../..
}
order

View File

@ -1,4 +1,7 @@
# this script makes some commands that are not "standard"
# this script runs commands not situable in other scripts, or unique tasks
# this will copy the process-working icon to the release.
cp icons/animations/process-working.svg aleta/animations/scalable
cp icons/animations/process-working.svg _build/aleta/animations/scalable/process-working.svg
# this copy the index.theme that is necessary to make the icon pack working
cp other/index.theme _build/aleta/

View File

@ -1,26 +0,0 @@
#! /bin/bash
for SVG in todo/actions/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/actions/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/actions/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/actions/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/actions/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/actions/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/actions/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/actions/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/actions/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/actions/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/actions/256/${N}.png ${SVG}" \
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/actions
fi
done

View File

@ -1,27 +0,0 @@
#! /bin/bash
# Check dependencies
command -v inkscape >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'inkscape'"; exit 1; }
command -v scour >/dev/null 2>&1 || { echo >&2 "I cannot continue without 'scour'"; exit 1; }
# export from todo/apps to folders, with the appropiated resolution
for SVG in todo/animations/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/apps/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/apps/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/apps/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/apps/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/apps/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/apps/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/apps/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/apps/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/apps/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/apps/256/${N}.png ${SVG}"
mv ${SVG} icons/apps
fi
done

View File

@ -1,25 +0,0 @@
#! /bin/bash
for SVG in todo/apps/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/apps/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/apps/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/apps/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/apps/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/apps/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/apps/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/apps/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/apps/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/apps/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/apps/256/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/apps
fi
done

View File

@ -1,27 +0,0 @@
#! /bin/bash
# export from todo/categories to folders, with the appropiated resolution
for SVG in todo/categories/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/categories/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/categories/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/categories/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/categories/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -oaleta/categories/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/categories/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/categories/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/categories/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/categories/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/categories/256/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/categories
fi
done

View File

@ -1,26 +0,0 @@
#! /bin/bash
for SVG in todo/devices/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/devices/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/devices/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/devices/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/devices/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/devices/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/devices/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/devices/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/devices/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/devices/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/devices/256/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/devices
fi
done

View File

@ -1,26 +0,0 @@
#! /bin/bash
for SVG in todo/apps/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/mimetypes/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/mimetypes/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/mimetypes/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/mimetypes/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/mimetypes/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/mimetypes/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/mimetypes/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/mimetypes/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/mimetypes/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/mimetypes/256/${N}.png ${SVG}" \
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/mimetypes
fi
done

View File

@ -1,26 +0,0 @@
#! /bin/bash
for SVG in todo/places/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/places/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/places/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/places/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/places/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/places/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/places/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/places/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/places/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/places/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/places/256/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/places
fi
done

View File

@ -1,25 +0,0 @@
#! /bin/bash
for SVG in todo/status/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 8 -h 8 -o aleta/status/8/${N}.png ${SVG}" \
"inkscape -w 16 -h 16 -o aleta/status/16/${N}.png ${SVG}" \
"inkscape -w 22 -h 22 -o aleta/status/22/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/status/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/status/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/status/48/${N}.png ${SVG}" \
"inkscape -w 64 -h 64 -o aleta/status/64/${N}.png ${SVG}" \
"inkscape -w 96 -h 96 -o aleta/status/96/${N}.png ${SVG}" \
"inkscape -w 128 -h 128 -o aleta/status/128/${N}.png ${SVG}" \
"inkscape -w 256 -h 256 -o aleta/status/256/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/status
fi
done

View File

@ -1,18 +0,0 @@
#! /bin/bash
for SVG in todo/actions-sym/*.svg
do
if [[ -f "${SVG}" ]]; then
N=$(basename ${SVG} .svg)
parallel ::: \
"inkscape -w 16 -h 16 -o aleta/actions/16/${N}.png ${SVG}" \
"inkscape -w 24 -h 24 -o aleta/actions/24/${N}.png ${SVG}" \
"inkscape -w 32 -h 32 -o aleta/actions/32/${N}.png ${SVG}" \
"inkscape -w 48 -h 48 -o aleta/actions/48/${N}.png ${SVG}"
cp ${SVG} ${SVG}.tmp
scour --remove-descriptive-elements --enable-id-stripping --enable-viewboxing --enable-comment-stripping --nindent=4 -i ${SVG}.tmp -o ${SVG}
rm ${SVG}.tmp
mv ${SVG} icons/actions-sym
fi
done

View File

@ -1,60 +1,6 @@
#!/bin/bash
mkdir -p aleta
mkdir -p aleta/apps
cd aleta/apps
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/places
cd aleta/places
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/categories
cd aleta/categories
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/devices
cd aleta/devices
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/status
cd aleta/status
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/mimetypes
cd aleta/mimetypes
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/actions
cd aleta/actions
mkdir -p 8 16 22 24 32 48 64 96 128 256
cd ../..
mkdir -p aleta/ui/16
mkdir -p aleta/animations
cd aleta/animations
mkdir -p 8 16 22 24 32 48 64 96 128 256 scalable
cd ../..
mkdir -p todo/apps
mkdir -p todo/places
mkdir -p todo/categories
mkdir -p todo/devices
mkdir -p todo/status
mkdir -p todo/mimetypes
mkdir -p todo/actions
mkdir -p todo/actions-sym
mkdir -p todo/ui
mkdir -p todo/animations
# this is to stay secure that the folders are here
mkdir -p icons/apps
mkdir -p icons/places
mkdir -p icons/categories
@ -65,3 +11,126 @@ mkdir -p icons/actions
mkdir -p icons/actions-sym
mkdir -p icons/ui
mkdir -p icons/animations
# this creates the To export folders. the .svg will be placed here
mkdir -p _build/icons-t/apps
mkdir -p _build/icons-t/places
mkdir -p _build/icons-t/categories
mkdir -p _build/icons-t/devices
mkdir -p _build/icons-t/status
mkdir -p _build/icons-t/mimetypes
mkdir -p _build/icons-t/actions-sym
mkdir -p _build/icons-t/actions
mkdir -p _build/icons-t/animations
# this creates the Exported folders. the exported svg will be placed here
mkdir -p _build/icons-e/apps
mkdir -p _build/icons-e/places
mkdir -p _build/icons-e/categories
mkdir -p _build/icons-e/devices
mkdir -p _build/icons-e/status
mkdir -p _build/icons-e/mimetypes
mkdir -p _build/icons-e/actions-sym
mkdir -p _build/icons-e/actions
mkdir -p _build/icons-e/animations
# this creates the build folders. here is the result of the build. here will be the index.theme and the PNG exported from the svg
mkdir -p _build/aleta/apps
mkdir -p _build/aleta/places
mkdir -p _build/aleta/categories
mkdir -p _build/aleta/devices
mkdir -p _build/aleta/status
mkdir -p _build/aleta/mimetypes
mkdir -p _build/aleta/actions-sym
mkdir -p _build/aleta/actions
mkdir -p _build/aleta/animations
# here is the .png exported.
mkdir -p _build/aleta/apps/8
mkdir -p _build/aleta/apps/16
mkdir -p _build/aleta/apps/22
mkdir -p _build/aleta/apps/24
mkdir -p _build/aleta/apps/32
mkdir -p _build/aleta/apps/48
mkdir -p _build/aleta/apps/64
mkdir -p _build/aleta/apps/96
mkdir -p _build/aleta/apps/128
mkdir -p _build/aleta/apps/256
mkdir -p _build/aleta/places/8
mkdir -p _build/aleta/places/16
mkdir -p _build/aleta/places/22
mkdir -p _build/aleta/places/24
mkdir -p _build/aleta/places/32
mkdir -p _build/aleta/places/48
mkdir -p _build/aleta/places/64
mkdir -p _build/aleta/places/96
mkdir -p _build/aleta/places/128
mkdir -p _build/aleta/places/256
mkdir -p _build/aleta/categories/8
mkdir -p _build/aleta/categories/16
mkdir -p _build/aleta/categories/22
mkdir -p _build/aleta/categories/24
mkdir -p _build/aleta/categories/32
mkdir -p _build/aleta/categories/48
mkdir -p _build/aleta/categories/64
mkdir -p _build/aleta/categories/96
mkdir -p _build/aleta/categories/128
mkdir -p _build/aleta/categories/256
mkdir -p _build/aleta/devices/8
mkdir -p _build/aleta/devices/16
mkdir -p _build/aleta/devices/22
mkdir -p _build/aleta/devices/24
mkdir -p _build/aleta/devices/32
mkdir -p _build/aleta/devices/48
mkdir -p _build/aleta/devices/64
mkdir -p _build/aleta/devices/96
mkdir -p _build/aleta/devices/128
mkdir -p _build/aleta/devices/256
mkdir -p _build/aleta/status/8
mkdir -p _build/aleta/status/16
mkdir -p _build/aleta/status/22
mkdir -p _build/aleta/status/24
mkdir -p _build/aleta/status/32
mkdir -p _build/aleta/status/48
mkdir -p _build/aleta/status/64
mkdir -p _build/aleta/status/96
mkdir -p _build/aleta/status/128
mkdir -p _build/aleta/status/256
mkdir -p _build/aleta/mimetypes/8
mkdir -p _build/aleta/mimetypes/16
mkdir -p _build/aleta/mimetypes/22
mkdir -p _build/aleta/mimetypes/24
mkdir -p _build/aleta/mimetypes/32
mkdir -p _build/aleta/mimetypes/48
mkdir -p _build/aleta/mimetypes/64
mkdir -p _build/aleta/mimetypes/96
mkdir -p _build/aleta/mimetypes/128
mkdir -p _build/aleta/mimetypes/256
mkdir -p _build/aleta/actions/8
mkdir -p _build/aleta/actions/16
mkdir -p _build/aleta/actions/22
mkdir -p _build/aleta/actions/24
mkdir -p _build/aleta/actions/32
mkdir -p _build/aleta/actions/48
mkdir -p _build/aleta/actions/64
mkdir -p _build/aleta/actions/96
mkdir -p _build/aleta/actions/128
mkdir -p _build/aleta/actions/256
mkdir -p _build/aleta/animations/8
mkdir -p _build/aleta/animations/16
mkdir -p _build/aleta/animations/22
mkdir -p _build/aleta/animations/24
mkdir -p _build/aleta/animations/32
mkdir -p _build/aleta/animations/48
mkdir -p _build/aleta/animations/64
mkdir -p _build/aleta/animations/96
mkdir -p _build/aleta/animations/128
mkdir -p _build/aleta/animations/256
mkdir -p _build/aleta/animations/scalable